Bug 1027242 - Wrong error message when detaching an export domain with locked disks
Wrong error message when detaching an export domain with locked disks
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.5.0
Assigned To: Maor
Elad
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 07:16 EST by Allon Mureinik
Modified: 2016-02-10 11:59 EST (History)
8 users (show)

See Also:
Fixed In Version: ovirt-engine-3.5.0_beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-17 08:36:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allon Mureinik 2013-11-06 07:16:38 EST
Description of problem:
When attempting to detach an export domain that has locked disks the wrong error message is displayed

Version-Release number of selected component (if applicable):
RHEVM 3.3.

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with multiple disks
2. Create an export domain
3. Export the VM to the export domain
4. While exporting (with the VM's disks locked), attempt to detach the export domain.

Actual results:
Detach fails with "Cannot detach a non empty Storage Domain. -Please remove all VMs / Templates / Disks and try again."

Expected results:
Error message should be "Cannot detach Storage Domain with locked disks {disks}", or something to that effect.

Additional info:
Comment 2 Allon Mureinik 2014-08-27 12:09:50 EDT
The operation fails anyway, just with the wrong message - pushing out to 3.5.1
Comment 3 Allon Mureinik 2014-09-01 05:21:55 EDT
The message "Cannot detach a non empty Storage Domain. -Please remove all VMs / Templates / Disks and try again." was removed as part of the attach/detach storage domain feature, and is not a reason to block the detaching of ANY domain any more.

Moving to QA to verify.
Comment 4 Elad 2014-09-01 07:26:23 EDT
When trying to detach an export domain (put it to maintenance) while there are locked disks that are being exported to the export domain, the error that is thrown to user is:

	
	
Operation Canceled
Error while executing action: Cannot deactivate Data Domain while there are running tasks on this data domain.
-Please wait until tasks will finish and try again.


Verified using ovirt-3.5-RC1.1
ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch
Comment 5 Sandro Bonazzola 2014-10-17 08:36:26 EDT
oVirt 3.5 has been released and should include the fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.